Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class XmlRpcServerConfigImpl

    java.lang.Object
      org.apache.xmlrpc.XmlRpcConfigImpl
          org.apache.xmlrpc.server.XmlRpcServerConfigImpl

All Implemented Interfaces:
  XmlRpcHttpConfig, XmlRpcStreamConfig, XmlRpcHttpServerConfig, XmlRpcServerConfig, XmlRpcConfig

    public class XmlRpcServerConfigImpl

extends XmlRpcConfigImpl
implements XmlRpcServerConfig, XmlRpcHttpServerConfig

Default implementation of `XmlRpcServerConfig`.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Constructor Summary
`XmlRpcServerConfigImpl()`

Method Summary
`boolean` | `isEnabledForExceptions()` Returns, whether the server may create a "faultCause" element in an error response.
`boolean` | `isKeepAliveEnabled()` Returns, whether HTTP keepalive is being enabled.
`void` | `setEnabledForExceptions(boolean pEnabledForExceptions)` Sets, whether the server may create a "faultCause" element in an error response.
`void` | `setKeepAliveEnabled(boolean pKeepAliveEnabled)` Sets, whether HTTP keepalive is enabled for this server.

Methods inherited from class org.apache.xmlrpc.XmlRpcConfigImpl
`getBasicEncoding, getEncoding, getTimeZone, isContentLengthOptional, isEnabledForExtensions, setBasicEncoding, setContentLengthOptional, setEnabledForExtensions, setEncoding, setTimeZone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpConfig
`getBasicEncoding, isContentLengthOptional`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Constructor Detail

### XmlRpcServerConfigImpl

    public XmlRpcServerConfigImpl()

Method Detail

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean pKeepAliveEnabled)

  Sets, whether HTTP keepalive is enabled for this server.

  Parameters:
    `pKeepAliveEnabled` - True, if keepalive is enabled. False otherwise.

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

  Description copied from interface: `XmlRpcHttpServerConfig`
  Returns, whether HTTP keepalive is being enabled.

  Specified by:
    `isKeepAliveEnabled` in interface `XmlRpcHttpServerConfig`
  Returns:
    True, if keepalive is enabled, false otherwise.

### setEnabledForExceptions

    public void setEnabledForExceptions(boolean pEnabledForExceptions)

  Sets, whether the server may create a "faultCause" element in an error response. Note, that this may be a security issue!

### isEnabledForExceptions

    public boolean isEnabledForExceptions()

  Description copied from interface: `XmlRpcHttpServerConfig`
  Returns, whether the server may create a "faultCause" element in an error response. Note, that this may be a security issue!

  Specified by:
    `isEnabledForExceptions` in interface `XmlRpcHttpServerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.